<p><a href="index.php">Darknet Onion Webring</a> - <a href="nonkycservices.php">Non-KYC Services</a> - <a href="sensitive.php">Sensitive Darknet Websites</a> - <a href="moneronodes.php">Monero Nodes</a> - <a href="nowhere.php">Nowhere Infrastructure</a> </p>
</br>

        <h1><a href="http://git.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/nihilist/darknet-onion-webring">Darknet Onion Webring (WIP)</a></h1>
        <p><u>Update Frequency:</u> every 3 hours</p> </br>
		<img src="img/onion.png">


<?php
function DisplayCSV($csvfile) {
$row = 1;
echo "<center><table>\n\n"; //begin html table formatting
if (($handle = fopen($csvfile, "r")) !== FALSE) {


    while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
        $num = count($data);
        //echo "<p>" . $data[1] . "</p>";
        //echo "<p> $num fields in line $row: <br /></p>\n";
        $row++;
        //echo $row;


        if ( $row == "2") {
            echo "<tr><td>Name</td> <td>Score</td> <td></td></tr>";
        }else{
        for ($c=0; $c < $num; $c++) {
        echo "<tr>"; // beging html table row
            // if the row is the first one (name url status score) only display (Name Status Score):
                // display the contents of a csv row
                if ( $c == "1" ){
                    echo "<td>" .  '<a href="'; // begin the table cell and a href
                    echo  $data[$c] . '">'; // display the link
                    echo  $data[0]  . "</a></td><td>"; // display the link title and close the a href  and first cell, open the second cell
                    echo  $data[3] . "</td><td>"; // display the status and close the second cell, open the third cell
                    echo  $data[2] . "</td> \n"; // display the score and close the third cell
            }
            //if ($c == 2){
            //}
        }
        }
        echo "</tr>"; // end html table row
    }
    echo "\n</table></center>";
    fclose($handle);
}

}


function DisplayCSVold($csvfile) {
echo "<center><table>\n\n"; 
  
        // Open a file 
        $file = fopen($csvfile, "r"); 
  
        // Fetching data from csv file row by row 
        while (($data = fgetcsv($file)) !== false) { 
  
            // HTML tag for placing in row format 
            echo "<tr>"; 
            foreach ($data as $i) { 
                echo "<td>" . htmlspecialchars($i)  
                    . "</td>"; 
            } 
            echo "</tr> \n"; 
        } 
  
        // Closing the file 
        fclose($file); 
  
        echo "\n</table></center>"; 
}
?>
